## org.gnu.gtk
Class AccelGroup

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.AccelGroup

public class AccelGroup
extends GObject

An AccelGroup represents a group of keyboard accelerators, typically attached to a toplevel Window. Usually you will not need to create an AccelGroup directoy; instead, when using ItemFactory, GTK+ automatically sets up the accelerators for your menus in the item factory's AccelGroup.

Note that accelerators are different from mnemonics. Accelerators are shortcuts for activating a menu item; they appear alongside the menu item they're a shortcut for. For example, "Ctrl+Q" might appear alongside the "Quit" menu item. Mnemonics are shortcuts for GUI elements such as text entries or buttons; they appear as underlined characters.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`AccelGroup()` Create a new AccelGroup.
`AccelGroup(Handle handle)` Create a new AccelGroup from a handle to a native resource.

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_accel_group_disconnect_key(Handle accelGroup, int accelKey, int accelMods)`
`protected static int` `gtk_accel_group_get_type()` BEGINNING OF JNI CODE
`protected static void` `gtk_accel_group_lock(Handle accelGroup)`
`protected static Handle` `gtk_accel_group_new()`
`protected static void` `gtk_accel_group_unlock(Handle accelGroup)`
`protected static boolean` `gtk_accel_groups_activate(Handle object, int accelKey, int accelMods)`
`void` `lock()` Locks the accelerator group.
`void` `unlock()` Undoes the last call to lock.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccelGroup

    public AccelGroup()

  Create a new AccelGroup.

### AccelGroup

    public AccelGroup(Handle handle)

  Create a new AccelGroup from a handle to a native resource.

Method Detail

### lock

    public void lock()

  Locks the accelerator group. Locking an acclerator group prevents the accelerators contained within it to be changed during runtime. If this method is called more than once, the AccelGroup remains locked until unlock is called the equivalent number of times.

### unlock

    public void unlock()

  Undoes the last call to lock.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_accel_group_get_type

    protected static final int gtk_accel_group_get_type()

  BEGINNING OF JNI CODE

### gtk_accel_group_new

    protected static final Handle gtk_accel_group_new()

### gtk_accel_group_lock

    protected static final void gtk_accel_group_lock(Handle accelGroup)

### gtk_accel_group_unlock

    protected static final void gtk_accel_group_unlock(Handle accelGroup)

### gtk_accel_group_disconnect_key

    protected static final boolean gtk_accel_group_disconnect_key(Handle accelGroup,
                                                                  int accelKey,
                                                                  int accelMods)

### gtk_accel_groups_activate

    protected static final boolean gtk_accel_groups_activate(Handle object,
                                                             int accelKey,
                                                             int accelMods)